Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006031TestLinkReports - Req. Based Reportpublic2013-11-07 16:132013-11-17 09:53
ReporterKarenNyre 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows 7 Professional SP 1OS Version
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0006031: H<n>-Tags not nested properly
DescriptionWhile now using TL 1.9.9 (not yet released), I just stumbled over this HTML fragment with the <h2> tag starting withing the <th> element but ending after the <th> element:

     <table class="req_spec">
            <tr>
                <th colspan="2">
                    <h2 class="doclevel">
                    <span class="label">1. Requirements Spec.:</span>
                    PROJECT : Projektorganisation
                </th>
            </tr>
        </h2>


is the result of:
.\lib\functions\print.inc.php
Line 355 ....

  $output .= "<table class=\"req_spec\"><tr><th colspan=\"$tableColspan\">" .
            "<h{$level} class=\"doclevel\"> <span class=\"label\">{$docHeadingNumbering}{$labels['requirements_spec']}:</span> " .
         $name . "</th></tr></h{$level}>\n";
         

Steps To Reproduce1. Create a nested folders with requirements
2. Start "Generate Requirement Specification Document"
3. Select report options (all, WORD as output format)
4. Click on a top-level suite
5. Save the file with the file extension ".xhtml"
6. Load into your favourite IDE editor, and investigate the well-formedness

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL Server 5.6
BrowserChrome Version 30.0.1599.101 m
PHP VersionPHP/5.5.5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0019981)
fman (administrator)
2013-11-07 18:57

ok, but what are the effects of this malformed HTML ?
(0019988)
KarenNyre (reporter)
2013-11-08 07:18

Hello -
The effects cause problems in trying to repurpose the output to different target format.

Thank you
(0019997)
KarenNyre (reporter)
2013-11-11 11:44

After downloading latest code, I can verify this fix. - Thank you.
(0020045)
fman (administrator)
2013-11-17 09:53

1.9.9 Released

- Issue History
Date Modified Username Field Change
2013-11-07 16:13 KarenNyre New Issue
2013-11-07 18:57 fman Note Added: 0019981
2013-11-07 21:52 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-11-07 21:52 fman Status new => resolved
2013-11-07 21:52 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-11-07 21:52 fman Resolution open => fixed
2013-11-07 21:52 fman Assigned To => fman
2013-11-07 21:53 fman Relationship added child of 0005897
2013-11-08 07:18 KarenNyre Note Added: 0019988
2013-11-11 11:44 KarenNyre Note Added: 0019997
2013-11-17 09:53 fman Note Added: 0020045
2013-11-17 09:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker